
import com.rational.test.tss.*;

import com.rational.test.tss.TSSConstants;

/* 
This test script demonstrates how to call all TSS Methods
and produces output or exceptions so you can see if 
TSS code is working properly.  DMorris 6/30/2000
*/

public class measurement extends com.rational.test.tss.TestScript {

	public static void main(String[] args){
                measurement t = new measurement();
                t.testMain(args);
	}

	public void testMain(String [] args) {
	try
	{
		int iret;
		boolean bFlag = false;
		TSSInteger iObj = new TSSInteger(1);
		String strRet = "";
		StringBuffer strBuf = new StringBuffer("aardvark");

        	TSSMeasure.timerStart("label", 0);
        	System.out.println("TSSMeasure.timerStart called");
        
        	// overloaded version
        	TSSMeasure.timerStart("label");
        	System.out.println("TSSMeasure.timerStart overloaded version called");
        
        	// 2ND overloaded version
        	TSSMeasure.timerStart();
        	System.out.println("TSSMeasure.timerStart overloaded version #2 called");
        
        	TSSMeasure.timerStop("label", 0, bFlag);
        	System.out.println("TSSMeasure.timerStop called");
        
        	// overloaded method
        	TSSMeasure.timerStop("label");
        	System.out.println("TSSMeasure.timerStop overloaded version called");
        
        	TSSMeasure.commandStart("label", "name", 0);
        	System.out.println("TSSMeasure.commandStart called");
        
        	TSSMeasure.commandEnd((short) 0, "description", 0, 0, "logdata", null);
        	System.out.println("TSSMeasure.commandEnd called");
        
        	TSSMeasure.commandEnd((short) 0);
        	System.out.println("TSSMeasure.commandEnd overloaded version called");
        
        	//TSSMeasure.think(0);
        	System.out.println("TSSMeasure.think called");
        
        	// overloaded version
        	TSSMeasure.think();
        	//System.out.println("TSSMeasure.think called");
        
        	iret = TSSMeasure.getTime();
        	System.out.print("return from TSSMeasure.getTime ");
        	System.out.println(iret);
        
        	TSSMeasure.environmentOpGetIntValue(0, 0, iObj);
        	System.out.println("TSSMeasure.environmentOpGetIntValue called, returned: " + iObj.getValue());
        
        	TSSMeasure.environmentOpGetStringValue(3, 0, strBuf);
        	System.out.println("TSSMeasure.environmentOpGetStringValue called, returned: " + strBuf.toString());
        
        	TSSMeasure.environmentOpSetIntValue(0, 0, 1);
        	System.out.println("TSSMeasure.environmentOpSetIntValue called");
        
        	TSSMeasure.internalVarGetInt(0, iObj);
        	System.out.println("TSSMeasure.internalVarGetInt called");
        
        	TSSMeasure.internalVarGetString(IV_error_text, strBuf);
        	System.out.println("TSSMeasure.internalVarGetString called");
	}
	catch (Exception e)
	{
		e.printStackTrace();
	}
	}
}
